#ifndef LLISTA_ACL_HPP
#define LLISTA_ACL_HPP
#include "tipus_element_acl.hpp"

class ModelLlistaACL : public Gtk::TreeModel::ColumnRecord
{
public:

  ModelLlistaACL()
  { 
	  add(iconeta);
	  add(nomEntrada); 
	  add(permisLectura);
	  add(permisEscriptura);
	  add(permisExecucio);
	  add(esborrable);
	  add(tipusEntrada);
	  add(buit);
  }

  Gtk::TreeModelColumn<Glib::RefPtr<Gdk::Pixbuf> > iconeta;
  Gtk::TreeModelColumn<Glib::ustring> nomEntrada;
  Gtk::TreeModelColumn<bool> permisLectura;
  Gtk::TreeModelColumn<bool> permisEscriptura;
  Gtk::TreeModelColumn<bool> permisExecucio;
  Gtk::TreeModelColumn<bool> esborrable;
  Gtk::TreeModelColumn<Glib::ustring> buit;
  Gtk::TreeModelColumn<TipusElement> tipusEntrada;
};

#endif
