#ifndef EICIEL_MAIN_CONTROLER_HPP
#define EICIEL_MAIN_CONTROLER_HPP

#include <set>
#include "eiciel_main_window.hpp"
#include "gestor_acl.hpp"
#include "tipus_element_acl.hpp"

using namespace std;

class EicielWindow;

class EicielMainControler : public SigC::Object
{
	private:
		GestorACL* gestorACL;
		EicielWindow* finestra;
        set<string> llistatUsuaris;
        set<string> llistatGrups;
        
		bool actualitzantFinestra;
		void obreFitxer(string s);
		void oberturaFitxer();
		void sortidaAplicacio();
		void actualitzarLlistaACL();
		void actualitzaEntradaACL(TipusElement e, string nom, 
				bool lectura, bool escriptura, bool execucio);
		void eliminarACL(string nomEntrada, TipusElement e);
		void afegirEntradaACL(string s, TipusElement e, bool esDefault);
		void canviACLDefault();

        set<string> donaLlistaUsuaris();
        set<string> donaLlistaGrups();
	public:
		friend class EicielWindow; 
		EicielMainControler();
};

#endif
